Query parameters

  • page integer(int32)

    Index of the requested page.

    Minimum value is 1. Default value is 1.

  • size integer(int32)

    Number of elements per page in response.

    Minimum value is 1, maximum value is 100. Default value is 10.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • results array[object] Required

      Elements of the page.

      Hide results attributes Show results attributes object
      • id string(uuid) Required

        ID of the webhook.

      • name string Required

        Name of the webhook.

      • url string Required

        URL to which webhook events are delivered.

      • bearer_token string Required

        Bearer token included in the Authorization header of webhook deliveries.

    • has_prev boolean Required

      Flag indicating if there is a previous page.

    • has_next boolean Required

      Flag indicating if there is a next page.

GET /v2/webhooks
curl \
 --request GET 'https://api.memo.bank/v2/webhooks'
Response examples (200)
{
  "results": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "My Webhook",
      "url": "https://example.com/webhooks",
      "bearer_token": "HlbgX7FlE8MlgYQjIu8U0WKaW"
    }
  ],
  "has_prev": true,
  "has_next": true
}